---
updatedAt: 2026-10-01T07:04:35.000Z
agentTools:
  projectIndex: https://docs.nexhealth.com/v2.2.2/llms.txt
---

# View locations

This endpoint returns the institutions accessible to the caller, each with its nested list of locations. Pass subdomain to scope the response to a single institution.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "NexHealth API v2.2.2 (Deprecated)",
    "description": "> **⚠️ Deprecated.** v2.2.2 is the legacy version of the NexHealth API and is deprecated; new development should target v3.0.0 (also known by its original date-based name v20240412). Our migration guide walks through every breaking change: https://docs.nexhealth.com/v20240412/docs/api-v2-to-v20240412-migration-guide\n\nWelcome to the developer hub and documentation for NexHealth API. This section of guide describes the operations, response parameters, request parameters, and parameter constraints related to User API. The term Operations refer to functions or methods. The operations are included in requests and send to the web server. Each operation performs a different action or a query on database.",
    "termsOfService": "https://www.nexhealth.com/terms-of-service",
    "contact": {
      "name": "NexHealth",
      "email": "info@nexhealth.com"
    },
    "license": {
      "name": "NexHealth License 1.0",
      "url": "https://www.nexhealth.com/privacy"
    },
    "version": "v2"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "Locations",
      "description": "A singular Practice/clinic/office"
    }
  ],
  "paths": {
    "/locations": {
      "get": {
        "summary": "View locations",
        "description": "This endpoint returns the institutions accessible to the caller, each with its nested list of locations. Pass subdomain to scope the response to a single institution.",
        "parameters": [
          {
            "in": "header",
            "name": "Nex-Api-Version",
            "description": "The NexHealth API version",
            "required": true,
            "schema": {
              "type": "string",
              "default": "v2"
            }
          },
          {
            "in": "query",
            "name": "subdomain",
            "description": "Used to scope the request to the specified institution",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "inactive",
            "description": "Filter by inactive status",
            "required": false,
            "example": false,
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "foreign_id",
            "description": "Find location by the integrated system Id",
            "required": false,
            "example": "1",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_V2_Entities_InstitutionBasicWithLocations_Collection_Response"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_BadRequest"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_Forbidden"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_InternalServerError"
                }
              }
            }
          }
        },
        "tags": [
          "Locations"
        ],
        "operationId": "getLocations"
      }
    }
  },
  "servers": [
    {
      "url": "https://nexhealth.info"
    }
  ],
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "API_Errors_BadRequest": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_BadRequest model"
      },
      "API_Errors_Unauthorized": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_Unauthorized model"
      },
      "API_Errors_Forbidden": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_Forbidden model"
      },
      "API_Errors_InternalServerError": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_InternalServerError model"
      },
      "API_V2_Entities_InstitutionBasicWithLocations_Collection_Response": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "example": false,
            "description": "Indicates the success or failure of the request"
          },
          "description": {
            "type": "string",
            "example": "Description",
            "description": "Additional context on the request to help with debugging."
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "example": [
              "Error message"
            ],
            "description": "Any errors that occur during the execution of the request."
          },
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/API_V2_Entities_InstitutionBasicWithLocations"
            }
          },
          "count": {
            "type": "integer",
            "format": "int32",
            "example": 2,
            "description": "Number of total objects, in case of collection."
          }
        },
        "description": "API_V2_Entities_InstitutionBasicWithLocations_Collection_Response model"
      },
      "API_V2_Entities_InstitutionBasicWithLocations": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32",
            "example": 1,
            "description": "Institution Id"
          },
          "name": {
            "type": "string",
            "example": "General Practice - Dr. P. Sherman DDS",
            "description": "Institution Name"
          },
          "subdomain": {
            "type": "string",
            "example": "example-subdomain",
            "description": "Institution subdomain"
          },
          "locations": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/API_V2_Entities_Location"
            },
            "description": "List of locations belonging to the institution"
          }
        }
      },
      "API_V2_Entities_Location": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32",
            "example": 7,
            "description": "Location id"
          },
          "name": {
            "type": "string",
            "example": "Default",
            "description": "Location name"
          },
          "institution_id": {
            "type": "integer",
            "format": "int32",
            "example": 1,
            "description": "Institution id"
          },
          "street_address": {
            "type": "string",
            "example": "123 Law St",
            "description": "Location street address",
            "nullable": true
          },
          "street_address_2": {
            "type": "string",
            "example": "85335, North East",
            "description": "Location street address 2",
            "nullable": true
          },
          "city": {
            "type": "string",
            "example": "New York",
            "description": "Location city",
            "nullable": true
          },
          "state": {
            "type": "string",
            "example": "NY",
            "description": "2 letter state code",
            "nullable": true
          },
          "zip_code": {
            "type": "string",
            "example": "54700",
            "description": "Location zip code",
            "nullable": true
          },
          "country_code": {
            "type": "string",
            "example": "US",
            "description": "Location country code",
            "nullable": true
          },
          "created_at": {
            "type": "string",
            "example": "2020-06-05T20:16:57.007Z",
            "description": "Location created time in UTC"
          },
          "updated_at": {
            "type": "string",
            "example": "2020-06-05T20:16:57.007Z",
            "description": "Location last updation time in UTC"
          },
          "latitude": {
            "type": "number",
            "format": "float",
            "example": 37.7775028,
            "description": "Geolocated latitude determined by the address",
            "nullable": true
          },
          "longitude": {
            "type": "number",
            "format": "float",
            "example": -122.3970603,
            "description": "Geolocated longitude determined by the address",
            "nullable": true
          },
          "phone_number": {
            "type": "string",
            "example": "8888750851",
            "description": "Practice phone number",
            "nullable": true
          },
          "foreign_id": {
            "type": "string",
            "example": "1",
            "description": "Identifier NexHealth uses to uniquely match this record to its counterpart in the integrated EHR. How it is derived differs between EHRs and may change; treat it as an opaque string and do not parse it."
          },
          "foreign_id_type": {
            "type": "string",
            "example": "--DataSource-",
            "description": "Unique identifier for the integrated system"
          },
          "email": {
            "type": "string",
            "example": "defaultLocation@nexhealth.com",
            "description": "Location email id",
            "nullable": true
          },
          "tz": {
            "type": "string",
            "example": "America/Los_Angeles",
            "description": "Timezone name"
          },
          "last_sync_time": {
            "type": "string",
            "example": "2020-06-17T19:23:49.176Z",
            "description": "Last time the resource was refreshed with data from the data source",
            "nullable": true
          },
          "insert_appt_client": {
            "type": "boolean",
            "example": true,
            "description": "True if appointments created at this location are inserted into the EHR"
          },
          "map_by_operatory": {
            "type": "boolean",
            "example": true,
            "description": "True if this location uses and therefore requires an operatory to schedule appointments"
          },
          "set_availability_by_operatory": {
            "type": "boolean",
            "example": false,
            "description": "True if the location has appointment types specific to an operatory, false if the appointment types are specific to a provider"
          },
          "inactive": {
            "type": "boolean",
            "example": false,
            "description": "Is this location not being actively used?"
          },
          "specialty": {
            "$ref": "#/components/schemas/API_Entities_Specialty"
          }
        }
      },
      "API_Entities_Specialty": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32",
            "description": "Specialty id"
          },
          "name": {
            "type": "string",
            "description": "Specialty name"
          }
        }
      }
    }
  }
}
```